<?php

use App\Models\PaymentManagement\PaymentMethod;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(){
        Schema::create((new PaymentMethod)->getTable(), function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('code',100)->unique();
            $table->string('logo_file_name',100)->nullable();
            $table->boolean('is_momo')->default(false)
                  ->comment("Determine si c'est un paiement mobile");
            $table->boolean('active')->default(false);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(){
        Schema::dropIfExists((new PaymentMethod)->getTable());
    }
};
